package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;

public interface ConfigService {

    /**
     * 配置信息-获取商品类型列表
     * @param pageBean
     * @return
     */
    public Result<?> queryTypeList(PageBean pageBean);

    /**
     * 配置信息-获取商品分类列表
     * @return
     */
    public Result<?> queryCatogoryList(String categoryOneId);

    /**
     * 配置信息-获取商品一级分类列表
     * @return
     */
    public Result<?> queryCatogoryOneList(PageBean pageBean);

    /**
     * 配置信息-获取商品二级分类列表
     * @return
     */
    public Result<?> queryCatogoryTwoList(PageBean pageBean);

    /**
     *获取公里数列表
     * @return
     */
    public Result<?> queryMileageList();

    /**
     *
     * @return
     */
    public Result<?> queryPrivacy();

    /**
     *
     * @return
     */
    public Result<?> queryAgreement();

    /**
     *
     * @return
     */
    public Result<?> queryPhone();

    /**
     *
     * @return
     */
    public Result<?> queryAboutus();

}
